package edu.its.main;
import java.util.HashMap;
import java.util.Map;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.eclipse.persistence.config.PersistenceUnitProperties;

import edu.its.bean.User;
import edu.its.emf.ComicsEntityManagerFactory;
import edu.its.service.UserService;



public class Main {
	private static Map<String, Object> properties = new HashMap<String, Object>();
	
	public static void main(String[] args){
		
		properties.put(PersistenceUnitProperties.TARGET_DATABASE, "database");
		properties.put(PersistenceUnitProperties.JDBC_DRIVER,"org.gjt.mm.mysql.Driver");
		properties.put(PersistenceUnitProperties.JDBC_URL,"jdbc:mysql://localhost:3306/database");
		properties.put(PersistenceUnitProperties.JDBC_USER, "root");
		properties.put(PersistenceUnitProperties.JDBC_PASSWORD, "");
		properties.put(PersistenceUnitProperties.JDBC_READ_CONNECTIONS_MIN, "1");
		properties.put(PersistenceUnitProperties.JDBC_WRITE_CONNECTIONS_MIN,"1");
		properties.put(PersistenceUnitProperties.BATCH_WRITING, "JDBC");
		properties.put(PersistenceUnitProperties.CLASSLOADER, ComicsEntityManagerFactory.class.getClassLoader());
		properties.put("eclipselink.logging.level", "FINE");
		properties.put("eclipselink.logging.timestamp", "false");
		properties.put("eclipselink.logging.session", "false");
		properties.put("eclipselink.logging.thread", "false");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("HelloJPA", properties);
        EntityManager em = emf.createEntityManager();
        UserService service = new UserService(em);
        
        em.getTransaction().begin();
        User emp = service.createEmployee("aaa", "123", "admin");
        em.getTransaction().commit();
	}
}
